/**
 * 
 */
package org.eclipse.behavior.editor;

import org.eclipse.core.resources.IProject;
import org.eclipse.jface.text.rules.FastPartitioner;
import org.eclipse.jface.text.rules.IPartitionTokenScanner;

public class ProjectAwareFastPartitioner extends FastPartitioner {
    IProject project;

    ProjectAwareFastPartitioner(IPartitionTokenScanner scanner,
            String[] legalContentTypes, IProject project) {
        super(scanner, legalContentTypes);
        this.project = project;
    }

    public IProject getProject() {
        return project;
    }
}